#ifndef VMaterial_h
#define VMaterial_h

#include <GL/glut.h>
#include <string>
#include <vector>

using namespace std;

struct VTexture {
	GLuint tex;
	string filename;
	GLbyte * pixels;
	int width;
	int height;
};

class VMaterial
{
private:

	void load(string);

public:
	vector<VTexture*> textures;
	VMaterial(void);
	VMaterial(string);
	void bind(void);
	void addTexture(string);
	~VMaterial(void);
};

#endif